#ifndef SPEED_ENCODER_H
#define SPEED_ENCODER_H

#include "Encoder.hpp"
#include "mbed.h"

class SpeedEncoder : public Encoder
{
public:
    SpeedEncoder(EncoderData nData);
    
    virtual void reset();
    
    float getCountSpeed();
    float getTurnSpeed();
    
private:
    Timer timer;
    
    long prevCount;
};

#endif // SPEED_ENCODER_H