#ifndef SYNC_GROUP_H
#define SYNC_GROUP_H

#include <map>

class EncoderMotor;

class SyncGroup
{
public:
    float update(EncoderMotor *motor, float factor);
    
private:
    float getMinimum(EncoderMotor *exclude);
    
    std::map<EncoderMotor*, float> factors;
};

#endif // SYNC_GROUP_H