#include "Motor.hpp"
#include <cmath>

Motor::Motor(MotorData nData) :
    data(nData),
    pwm(data.pwmPin),
    dir1(data.dir1Pin), dir2(data.dir2Pin)
{
    drive(0);
}

void Motor::drive(float power)
{
    pwm = std::abs(power);
    dir1 = !(dir2 = (power >= 0));
}