#ifndef MOTOR_H
#define MOTOR_H

#include "mbed.h"

struct MotorData
{
    PinName pwmPin, dir1Pin, dir2Pin;
};

class Motor
{
public:
    Motor(MotorData nData);
    
    virtual void drive(float power);

protected:
    MotorData data;
    
private:
    PwmOut pwm;
    DigitalOut dir1, dir2;
};

#endif // MOTOR_H